= Redilysis = Redis + Audio Analysis 

Redilysis sends audio analysis to a redis install. What's the use? Using that information for multiple visualizations, of course!

== Installation 

```python
git clone https://git.interhacker.space/tmplab/redilysis.git
cd redilysis
pip install -r requirements.txt
python3 redilysis.py --help
```

== Guide

There are two available modes.

**One is the slow mode with BPM recognition:**

python3 redilysis.py -m bpm -s 1 -f 44100

Pushes following keys in redis:

  * onset 
  * bpm
  * beats


**The other is a fast mode with spectrogram analysis**

python3 redilysis.py -m spectrum -s 0.1 -f 4410


Pushes following keys in redis:

  * rms
  * spectrum
  * tuning
